#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.1
visibility:           public
id:                   tree-diff-0.1-4UYO0NPyeEw51jRhBff4hP
key:                  tree-diff-0.1-4UYO0NPyeEw51jRhBff4hP
license:              GPL-2.0-or-later
copyright:            (c) 2017-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  d59af67308c4fa22eb398c7a6edaa68f
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/tree-diff-0.1
hs-libraries:         HStree-diff-0.1-4UYO0NPyeEw51jRhBff4hP
depends:
    QuickCheck-2.14.1-8IJVBGyUfKq6HlL6nbvj8S
    aeson-1.5.4.0-thRxPPoh7zGG5olCVnCMS
    ansi-terminal-0.10.3-BPHE8l4o9A6EvDiT7QnwTU
    ansi-wl-pprint-0.6.9-DKuIRoJ9gnj7LTSIjeYDjE base-4.14.1.0
    base-compat-0.11.1-AU7kFoHd9g4AbsEVNqQYmh bytestring-0.10.10.0
    containers-0.6.2.1 hashable-1.3.0.0-GtDsyeTAmWWYMGaLqzaKP
    parsec-3.1.14.0 parsers-0.12.10-GRKl0iMpxvx7huVSmSSgEM
    pretty-1.1.3.6 scientific-0.3.6.2-EqpkZt8Fb0rCyG7gkvw6bT
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.12.0-77J5u5JaDzyKBIiI2wOCQf
    uuid-types-1.0.3-60JuswHd6yhJGSM5X7ZIz8
    vector-0.12.1.2-9Tv6x03Z1JF7LL7lw4fTei

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

